commit caacedc0a82285fb2d25c6d3473f154044c7ad66
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: update openrc-shutdown man page
    
    Add the new wtmp options and fix some cross references.

commit 84d140a1f6abf95a4170d13527152d3ab14e6613
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts/shutdown: pass --single to openrc-shutdown
    
    Sysvinit shutdown has a default of single user mode, but openrc-shutdown
    makes you choose a default action. Because of this, the shutdown wrapper
    needs to pass --single to openrc-shutdown.

commit ee886c44824b1dd892eaff2c6da666286e61bc73
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: add --single option and clean up option processing

commit 1801561c2d36c330df7fd02c7508f503a61ff5ba
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/bootmisc: use openrc-shutdown instead of halt to write halt record
    
    This fixes #139 and fixes #128.
    and fixes #124.

commit 7689106aa10f7852b707b4c21ec080ccb2767280
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add support for writing reboot and shutdown records to wtmp

commit 1564e155b726308200ecd5df315c002bd8b16952
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: add optional sysvinit compatibility

commit 44bac3c3798f7eb9186c3ea8774552aa191bfae7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Change killprocs to use kill_all instead of killall5
    
    X-Gentoo-Bug:376977
    X-Gentoo-Bug-URL:https://bugs.gentoo.org/show_bug.cgi?id=376977

commit 0ddee9b7d2b8dea810e252ca6a95c457876df120
Author: Sergei Trofimovich <slyfox@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-init: fix buffer overflow in init.ctl
    
    How to reproduce 1-byte overflow:
    
    ```
    $ FEATURES=-test CFLAGS="-fsanitize=address -O0 -ggdb3" emerge -1 openrc
    
    =================================================================
    ==1==ERROR: AddressSanitizer: stack-buffer-overflow on address 0x7fff0efd8710
        at pc 0x000000402076 bp 0x7fff0efd7d50 sp 0x7fff0efd7d40
    WRITE of size 1 at 0x7fff0efd8710 thread T0
        #0 0x402075  (/sbin/openrc-init+0x402075)
        #1 0x3cf6e2070f in __libc_start_main (/lib64/libc.so.6+0x3cf6e2070f)
        #2 0x4013b8  (/sbin/openrc-init+0x4013b8)
    
    Address 0x7fff0efd8710 is located in stack of thread T0 at offset 2432 in frame
        #0 0x401cfb  (/sbin/openrc-init+0x401cfb)
    
      This frame has 3 object(s):
        [32, 160) 'signals'
        [192, 344) 'sa'
        [384, 2432) 'buf' <== Memory access at offset 2432 overflows this variable
    HINT: this may be a false positive if your program uses some custom stack unwind mechanism or swapcontext
          (longjmp and C++ exceptions *are* supported)
    SUMMARY: AddressSanitizer: stack-buffer-overflow ??:0 ??
    ```
    
    The problem here is in the code handling reads from 'init.ctl':
    
    ```
    int main(int argc, char **argv) {
    ...
        char buf[2048];
        for (;;) {
            /* This will block until a command is sent down the pipe... */
            fifo = fopen(RC_INIT_FIFO, "r");
            count = fread(buf, 1, 2048, fifo);
            buf[count] = 0;
            ...
        }
    ```
    
    `buf[count] = 0;` writes outside the buffer when `fread()` returns non-truncated read.
    
    This fixes #138.

commit 688566c535111a141f77caf88db12a4338544f7b
Author: Sergei Trofimovich <slyfox@inbox.ru>
Commit: Doug Freed <dwfreed@mtu.edu>

    mk/cc.mk: make implicit function declarations fatal (#136)
    
    Avoids issues with missing prototypes causing truncation of pointers.
    
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

commit 7185e242ffaa8cd1b672fe4726502a196fd779c2
Author: Sergei Trofimovich <slyfox@inbox.ru>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-logger.c: fix crash on fclose(NULL) (#137)
    
    Only close the log if we successfully opened it.
    
    Reported-by: Brian Evans <grknight@gentoo.org>
    Tested-by: Brian Evans <grknight@gentoo.org>
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

commit ec27299f4b88daa80261298fafea76ae634744d9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix
    
    X-Gentoo-Bug: 618888
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=618888

commit 1ece16bfcd0ab71d2f9fe17a75ee6184e0fa4828
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: add dry-run option

commit 0cfd0dd9ef580ed9dc563ccc164d70efe8f299db
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-shutdown: move to single user mode by default
    
    To be more compatible with sysvinit, move to single user mode if no
    options are specified on the command line.

commit a77ee2e94191ba1a286b8a6835f76556481566ba
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: add ability to switch to single user mode

commit 49b8a573a195f4b2cee992cd10678694da0a6f4f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add kill_all helper
    
    This is similar to the sysvinit killall5 utility.  It should only be used
    in service scripts, so it will not be installed in the path.
    
    This closes #129.

commit a2055af90054f5125cc07d4851b1dc9d16815e7c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc_status: calculate time differences in time_t and display seconds in uptime

commit cbf96967f1b6dc72ae16203dfbbb844bd08e8b6b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: save start time and respawn count before dropping privs

commit f1013037b47cdd6344f1b3ed92b7f84d7fcca01f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.27

commit e4bfb4530a86a4ccdff312c857df37fa0da36fd6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 78e0042eccaf5a5554b195ad391b3ab0b8974cf6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/rc-status: document changes for supervised daemons
    
    rc-status now shows the amount of time a supervised daemon has been
    active as well as the number of times it has been respawned during the
    current respawn period.

commit 82e12e309247bc84abf29aca04b3a2dd845fa11b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-status: show uptimes and respawn counts for supervised daemons

commit 1ebef0d7a38ec0a9635418b75c3aabb564c1577e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix to_time_t to honor dst

commit 6b4050ab9cf9d678a1d6b7af7af7494f8533dbca
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix from_time_t function

commit cf5e9aa2bbcdf1783fadeab26586c1134929d928
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Move time_t conversions to rc-misc.c so they can be shared

commit a3250e77d412f2290e381b9e7569930d95e4fc5b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: save start time and respawn count
    
    This will allow rc-status to display an uptime and restart count for
    supervised processes.

commit df027ca4722c8755b23a65db75728b835ccca807
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: fix our status when we give up on the child process

commit 4c89e3f5fa1c65ccd0c843f98e4013c2085f243f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon:create multiple options from --respawn-limit
    
    This creates --respawn-delay, --respawn-max and --respawn-period. It was
    suggested that it would be easier to follow if the options were
    separated.
    
    This is for #126.

commit 3673040722b75c0a4d06fbeb272f917c7d1ea7c4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: add a --respawn-limit option
    
    Allow limiting the number of times supervise-daemon will attempt to respawn a
    daemon once it has died to prevent infinite respawning. Also, set a
    reasonable default limit (10 times in a 5 second period).
    
    This is for issue #126.

commit 96c8ba2fb5f91a711ef5bfcfd8affe0b74ad18fe
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: mark all open file descriptors FD_CLOEXEC

commit 47cf1d0c707dc88d216bebc15be3f39d5eb47fa9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon:remove the controlling tty in the supervisor

commit 06a6a27e441372164872c7712b80728527a6ec05
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon:  fix access to tty_fd and devnull_fd
    
    Both the child and supervisor need access to these file descriptors.

commit 5de3798afc55ce147e65926f863ec9c9cef60e79
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    supervise-daemon: mark the service started when the supervisor is active

commit 6ac094a59cf7b51d8527af15b07feca707a635c8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.26

commit 84c81ca02d7077a619dc704ff654385846fcd2b4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 0e3f8720984d7d5752a78a4135cd268e4f83b3d7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: send term/kill signals as final step of shutdown

commit 5fd3747b190887d094225547f23007d25e2d9592
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    reword the bugs section of the openrc-init man page

commit 4694900190a9078397bb9083328b68b489af92f4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: fix signal handling
    
    The only signals we handle are SIGINT and SIGCHLD, so block all others
    and unblock them in the child process before we start a rurnlevel.

commit 05738bfce120114037d4f02c67ec740813f94b89
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init: add re-exec capability
    
    This will allow the re-execution of the init process after upgrading
    OpenRC.

commit 6f88ee4ec6f59e545346a7422facc3e5b6adac04
Author: i.Dark_Templar <darktemplar@dark-templar-archives.net>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    bootmisc: do not remove ld-elf32.so.hints
    
    File /var/run/ld-elf32.so.hints is used on FreeBSD 64bit multilib
    This fixes #125.

commit cc51bdca3bac963878141da047e92f125772e14f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add attribution to openrc-init.c and openrc-shutdown.c

commit 13ca79856e5836117e469c3edbcfd4bf47b6bab0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add init process
    
    openrc-init.c and openrc-shutdown.c are based on code which was written by
    James Hammons <jlhamm@acm.org>, so I would like to publically
    thank him for his work.

commit 79a9edc73068244ad843f2edbe4206ce696c91c8
Author: i.Dark_Templar <darktemplar@dark-templar-archives.net>
Commit: i.Dark_Templar <darktemplar@dark-templar-archives.net>

    Fix make install on FreeBSD: don't try to install /etc/init.d/modules twice

commit 9eb669591e16c5ee0ca07babe058d0b7b2396077
Author: Austin English <austinenglish@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: warn if calling --start with --retry or --stop with --wait
    
    This fixes #122

commit 55a87a30ec845eb725e8a923c8f8eb7aa75baa72
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/agetty.in: add -prefix keyword

commit a912029462ae988ab4e2a96a0958e54a3c2e822f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/mount-ro: change dependency on killprocs and savecache to after
    
    killprocs always succeeds and savecache is not required by mount-ro, so
    we can just start after both of these have run.

commit 1e9078279709df2a3617bf1460890ceb1ddfcf59
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    agetty-guide: typo fix

commit 51a292e09b9362f13d5747d4eedaa521ddf9ce72
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d: add agetty to ignore patterns

commit 50fccf47d4bd2ed6e7ea6ff7f72577c8e7b95d0d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/gendepends.sh.in: fix detection of service scripts
    
    We do not need to care about the path on the shebang line of a service
    script as long as the shebang line ends with "openrc-run".
    This fixes #119 and #120.

commit 9bd63b5d4a16601712a65eb8962214cdd4d26ce5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update dependencies for clock service
    
    The clock services had a very long list of "before" dependencies that
    referred to other services within OpenRC. For ease of maintenance,
    convert these to "after clock" dependencies in the individual services.

commit 48db17a93f5e60c0d241f8fb06bfbdd01206fb9c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update news file

commit c333707cba356f4cacfd58a6fcc78f7c073dddcd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove all occurances of 'before *' from dependencies
    
    Using wildcards in dependencies causes issues when rc_parallel is set to
    yes because it can lead to deadlocks.
    All dependencies need to be explicit rather than implicit.
    
    This is the first stage of moving this direction.

commit 5f5b1f7cbefd0bc14352e86a9c33260266f98d9b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs.in: efivarfs tweaks
    
    Since we check for /sys/firmware/efi/efivars, we do not need to check
    for /sys/firmware/efi
    
    Since Failing to mount efivarfs is not critical, we silence the error
    message from mount.

commit cfdf56475e600f79a433cd721cadf39114c6c58d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.25

commit fde3902d069dfdce9c59555186a5541d6d99c8aa
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit d7bbb0f5830e1ec4df1ec52714d70ac6b0a81878
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    add agetty service
    
    The agetty service is an alternate way to manage gettys with agetty
    under Linux which is separate from an external init system.

commit 21ca2b746cce67e2b3578fb7015c9d4c243e3a0c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: drop modules completely from the dependencies
    
    This is for #112.

commit 6a79aef0159d7035778fd852b26ecfac903cd029
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: Do not load efivarfs module
    
    My understanding is that the kernel can autoload this module. If it
    doesn't, the module should be built in or loaded from an initramfs.
    
    This fixes https://github.com/openrc/openrc/pulls/112.

commit 4a269674b765e5267f024fa55c8644480a7304ea
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    make sure netmount and localmount start after root

commit eea4decdd1c84e4b8775a255d8ed85bce5eb40a5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: typo fix

commit d4d0f25a4844ecaed43de913e8b729e7a2e894db
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    net-online: updates to make the service more usable
    
    - switch from attempting to ping the default gateway to a host outside
    the local network, defaulting to google.com.
    - along with this, change the name of the variable that requests a ping
    test to include_ping_test so the meaning is more clear.

commit 1cb44092fce298004ab4c4547c6fbcac29c5997f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/rc-functions.sh.in: add get_bootparam_value function

commit 4207e46622f584eb5f0cc10bbfd36f92f001a2e2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    move init.d examples under support and install them

commit f6ea16159ec8583a6f2182578334aa00578cb080
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts: make sure the rc-sstat symlink is always replaced

commit 9047ea4cb0d0e5e27704369380e128d26c3e86b2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    install support files
    
    These files have been in the distribution for some time but haven't been
    installed. They are good examples of how to do things, so we should
    install them.

commit d7f5a696c173e7af67dd4b3f90744e0a056441e1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    support: rename all README files to README.md

commit 6f614cd3f33dbdea3a67ac2fb414b1130674ee04
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Move deptree2dot to the support folder
    
    Since deptree2dot and the perl requirement are completely optional, we
    can move this tool to the support folder. This gives the user the option
    of using it if they have perl installed, and means we do not have an
    optional runtime dependency on perl.
    
    Documentation for this tool has also been added to the support folder.
    
    X-Gentoo-Bug: 600742
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=600742

commit 85c1930acf15b0c9d3c5537fb2b0409c6a11c982
Author: William Pitcock <nenolod@dereferenced.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    test/setup_env: ensure that eval_ecolors is available on the path.
    
    The test environment previously used the system default paths instead of installing the necessary $PATH environment
    variable to make finding eval_ecolors work.
    This closes #117.
    
    X-Gentoo-Bug: 374191.
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=374191.

commit 96bd0c004c9549e5a2ef64277216a15da6f96a8e
Author: Nicolas Porcel <nicolasporcel06@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix typo in guide.md
    
    This fixes #115.

commit b693af90556ac9b055ba5c6e589066c1e08b2146
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "scripts: do not substitute for @SHELL@ in rc-sstat"
    
    This reverts commit e2e652e469efa5f3ebcd69828ff16d8f5ad3f1b8.

commit 6dcb6929869c2f81c1f8d0930191f74fc6dfaa3e
Author: Doug Freed <dwfreed@mtu.edu>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: allow all standard signals
    
    Also we define the signalpair_item macro.
    This fixes #113.
    
    X-Gentoo-Bug: 604986
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604986

commit e2e652e469efa5f3ebcd69828ff16d8f5ad3f1b8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    scripts: do not substitute for @SHELL@ in rc-sstat

commit b73941f0c3020e3dbd1684d09685e114c678b520
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    mountinfo: make the path to /proc/mounts a constant
    
    This path should not be hard coded in the open call.
    Linux prior to 2.4.19 did not have /proc/self/mounts, so for now I'm
    making this value /proc/mounts everywhere, but that may change to
    /proc/self/mounts on linux; I'm not sure we should care about <2.4.19.
    
    X-Gentoo-Bug: 604646
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604646

commit c304522131a795cf882444b5f94e81db4baf65b3
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Clean up warnings that can use the _unused macro
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit 92325b44ba58a7ca04d88ae8ca202b402b032b43
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Indentation fixes
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit 074d90f5a4e3b66e532a0becde372acf38346397
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Drop the use of the _BSD_SOURCE macro on Linux
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit 7056b56b3ccc9cbde4ef8297b923919c49c7c242
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Drop the use of the _BSD_SOURCE macro on GNU/Hurd
    
    X-Gentoo-Bug: 604666
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=604666

commit d5c3b85e3fbddbba149687244d607fcdae222f95
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    loopback: drop explicit route for BSD too

commit 1ab2249448ba24a591b561f53aa64ff3df1e41f6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.24

commit a15cff21c63f2ad951af1c59a74fc7d37f78e91b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 45aa36cc623eeeb15fb6827b57e0c07a37cdef41
Author: Doug Freed <dwfreed@mtu.edu>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: detect loops in stacked runlevels and abort
    
    This fixes #109.
    X-Gentoo-Bug: 558700
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=558700

commit d3f833179b39368442221c448f90b87f76d28ee8
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/init.sh.Linux.in: remove unused check for Gnu/KFreeBSD
    
    This script only runs on Linux, so the check will always be false.

commit abe552b969b6601f47ba0474f683d8cd80d53c9d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    modules: get rid of printing each module on Linux
    
    Now that we respect the module blacklists, don't print every module we
    try to load, because it might not end up loaded due to the blacklist,
    and modprobe doesn't consider that a failure.

commit 856eafb006655b7dda630a94cbd16f5db9f781be
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    sh/init.sh.Linux.in: skip /proc test if no md5sum
    
    This will also warn users if md5sum is missing, which serves as a pretty
    good indicator that /usr is not mounted.

commit f27d60add9ee1ef8a90ea0034edf6f4e4e6d0ed8
Author: Robin H. Johnson <robbat2@gentoo.org>
Commit: Robin H. Johnson <robbat2@gentoo.org>

    sh/openrc-run.sh: expose default start/stop/status
    
    Supervisor setups break easily when start/stop/status functions are not
    default.
    
    Applications that write multiple PIDs to a pidfile (eg HAProxy as
    described in bug 601540), can also benefit from being able to call the
    default start/stop/status with modified environment variables.
    
    Expose the default start/stop/status functions as
    default_start/stop/status, and use them for the defaults
    start/stop/status.
    
    Trivial usage example:
    ```
      stop()
      {
        t=$(mktemp)
        for pid in $(cat $pidfile) ; do
          echo $pid >$t
          pidfile=$t default_stop
        done
        rm -f $t
      }
    ```
    
    X-Gentoo-Bug: 601540
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/601540
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

commit 8ad460c54ce66aa0900cf872d9ebfacf0c03f9da
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    Fix typos
    
    Fixes #99

commit 72c0824961fc257b634a9439496e04d1b3392ef1
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    localmount: add comment about types variable

commit 5b7e3490ef2ce96c35e6c18b4c64e8c61586bb7a
Author: Alan Somers <asomers@gmail.com>
Commit: Doug Freed <dwfreed@mtu.edu>

    Localmount shouldn't mount remote filesystems
    
    The /etc/init.d/localmount script has a syntax error that causes it to
    attempt to mount remote filesystems, causing the boot to fail. The
    script appends a "no" to each remote filesystem type, but it should only
    be append the "no" to the beginning of the list.  This patch fixes
    localmount on FreeBSD 12.0.  A review of the mount(8) manpage on Ubuntu
    12.04 suggests that this patch is correct for Linux, too.

commit dd61e6bfc3fc1da011b01f4f6cf3e45e26c59dc1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc.conf: fix the commented default setting for rc_logger
    
    X-Gentoo-Bug: 601480
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=601480

commit 204971c6e2ea1e37fa037e09bff02eea3a07f843
Author: Doug Freed <dwfreed@mtu.edu>
Commit: GitHub <noreply@github.com>

    runlevels: remove bad trailing backslash

commit 3552f0ae548d68effd4411ad4080e7b13fe627c5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/start-stop-daemon.8: clarify documentation about --pidfile option
    
    The documentation implied that if you stop a daemon we handle multiple
    pids in a pid file. This is not correct. We only handle the first pid.
    
    X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=601540

commit 42cb84882918a0c9dd93a89d92b0b4818dfb44b8
Author: AndCycle <andcycle-github@andcycle.idv.tw>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fix manual typo
    
    This fixes #105.

commit e0ac661419042cb39c1ccf93df2981504d1e6339
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    split tmpfiles processing into opentmpfiles
    
    The openntmpfiles package is designed so that it can be used on systems
    independently of whether openrc is used.

commit 6414c3bc394f86a5d6a5f02c934469e21bbbc923
Author: Jason Zaman <jason@perfinion.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    selinux: fix SIGSEGV with invalid contexts
    
    Fixes: https://github.com/openrc/openrc/issues/104

commit 4f9bd7e4db185ce6debbebb5242344d8ffadc3ae
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/loopback.in: drop the route to the loopback interface on Linux
    
    This is related to #103.

commit bf539f2196290864ce5c5fd0d679b74ee016e2da
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/mount-ro: do not remount /usr read only if it is premounted
    
    X-Gentoo-Bug: 573760
    X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573760

commit 20b60ea904612669dfb744beffcd8e7e447f69ef
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d/net-online: clarify comment about interfaces setting
    
    This setting refers to all interfaces that support ethernet

commit f53c8baef3a6215077c00901759cbbcbe8f10e9b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/net-online: remove interfaces and timeout from local declarations
    
    X-Gentoo-Bug:  598621
    X-Gentoo-Bug-URL:  https://bugs.gentoo.org/show_bug.cgi?id=598621

commit be06cd250e12e63b8eb704bb2508e06fb9791251
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    src/rc/rc: do not try to start services if fork fails

commit 003657c973ea338a19f2b7294190af9d76cf5cea
Author: Robin H. Johnson <robbat2@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/loopback: drop scope on loopback
    
    Busybox does not support the 'scope' argument on 'ip address add' or 'ip
    route add', this is documented in BUSYBOX.md, but is no longer actually
    needed, as the kernel does get it right without manual specification,
    and the ifconfig variant already relies on the kernel to get it right.
    This is part of #103.
    
    X-Gentoo-Bug: 487208
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=487208

commit 4fd144c0a6526963c70f18cb34a65354c2f0a48c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    src/rc/rc-misc.c: report error if call to flock() fails
    
    X-Gentoo-Bug: 597390
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=597390

commit c44c904a61418189c989e978b0237e5b161263ef
Author: Joe Maloney <jpm820@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d.misc/wpa_supplicant: find wireless interface for FreeBSD
    
    This fixes #101.

commit 78146b0e14cb57dda8a3aed3d4f8d6b1db7a3c7e
Author: Sven Wegener <swegener@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    do_service: Initialize idx to 0
    
    If index is not explicitly specified for service_started_daemon, it will
    look for daemons by random index.
    
    This fixes #100.

commit deaae7ab5c499191426cec81f6e803c972f0cca3
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: load efivarfs module when booting in efi mode:1
    
    The presence of /sys/firmware/efi is used to indicate that the system
    was booted in efi mode.

commit 3d2c2f0b871944492036d04b0c220ccba1fa2dd5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: fix efivarfs module test

commit 6a0c033a64ce18056625cd37a94b9810dc5784e3
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysfs: fix efivarfs handling
    
    Separate loading the module, if it isn't built in or loaded, from
    mounting the file system.
    
    This also makes sure the warning about configuring the module in
    /etc/conf.d/modules or building it in is displayed only if it is loaded
    successfully.
    
    X-Gentoo-Bug: 595836
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=595836

commit 6710316a18c33601e780282e72c60f09b5175280
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    openrc-run: fix double free

commit 61882821e0d6110a2ca2f67fad7c362983a85cf0
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    init.d: Clean up some bad ewarn output

commit 969546bcf0203379db286be21c7f709d27cc73b0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix
    
    X-Gentoo-Bug: 595306
    X-Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=595306

commit d0ae7ffc2534fa65c2e8927931f5107ce4505ca6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    version 0.23

commit b71bcc242202752bc74fce3a5c629f172b04fca5
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    update ChangeLog

commit 24010dcb483cf7284cd8a5db111ae63f0d4e1038
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    dist: convert to tar.gz
    
    This allows the "make dist" target to be used as well as the github
    archive generation.

commit 0a76627345a173fc00be9864f3f3f5c3b15319cd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/swap: remove the case for linux
    
    I am removing the separate case for Linux, because we are droppping the
    "-e" switch.

commit bbf98befb86337a36ef5af7f273e503a6de4b9bd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/init.sh.Linux.in: update test for live /proc to use md5sum
    
    This allows us to avoid the warnings from bash-4.4 about null bytes in
    command substitutions.
    
    If you have separate /usr, are not using an initramfs, and have a file
    called /proc/self/environ on your root file system, this will break.
    X-Gentoo-Bug: 594534
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=594534

commit 316903fbf0da6edc067a98327c8c6cb2b3cdcf93
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: typo fix

commit 66a9788435e51e658e4ae9d3ce0d0e54ea53e4f9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: Add note about eval usage
    
    This fixes #77.

commit bf73363f220ff086d2559e7c2015801f80862749
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add --use-blacklist to modprobe calls in modules and modules-load
    
    This means that we will honor the modprobe black lists.
    
    X-Gentoo-Bug: 594012
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=594012

commit d6c30ab12a3b335ac57cd1f0ac00231bb34fc0c4
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "Remove eval calls from supervisor start functions"
    
    This reverts commit 0d1f1010c299a95332f224c3be9e8dfdd85eec54.
    We need the eval in case someone uses something like:
    command_args="this \"is a\" test"
    
    This is related to #77.

commit 0d1f1010c299a95332f224c3be9e8dfdd85eec54
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove eval calls from supervisor start functions
    
    This fixes #77.

commit 83bb827edf5b9be04a326d1970d6f55db239281f
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Revert "Disable parallel startup in interactive mode"
    
    This reverts commit 8b4fc05ff2645b2ecb0f153492f72dd8b39ba431.
    The original commit did not explain why this feature was disabled, and I
    now have a request to enable it.
    
    This fixes #24.

commit c146b966913ae80652e3be925d3aba60ed82f14d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add command_progress variable
    
    If this is set to yes, 1, true, or on, start-stop-daemon will display a
    progress meter while waiting for a daemon to stop.

commit 6cabaf274defa11773094a2c85b3d0a9f0bd9b08
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-misc: allow EINFO_VERBOSE through too

commit 1edb5f6fd9c4827e5d4ed5c854bc322ba8a7df73
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-misc: Allow EINFO_COLOR through env_filter()
    
    This allows rc-service -C <service> <action> to properly not print color
    messages.
    
    Fixes #93

commit c4d7e02abd7008b8e8ad16f62c2abbb60fab252b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix permission checks for cgroups
    
    This is needed because containers may give read access to cgroups but
    not allow the settings to be changed.

commit a4e0d675e13f07bf880da10a4d602983a556264d
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man/openrc-run.8: update variable documentation
    
    - document command_args_background and command_user.r
    - clarify documentation for command_background
    
    This fixes #78.

commit 8a8032478a755f6e2ceaebc5425e61c6817df936
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Make use of name vs RC_SVCNAME consistent in supervisor scripts
    
    This fixes #79.

commit ac53c9a658589456c678b6bfe674a66a3845e564
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/init.sh: fix the test for cache restoration
    
    This fixes the test for cache restoration since we are no longer caching
    the dependency tree.

commit b02ff466fa75cc4b5bcfaff3f2989cc65c823f43
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    savecache: stop saving the dependency tree
    
    This fixes #85.

commit 6bd0f2d096f149906061a4ac7b66b7e85516784a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/procfs: typo fix

commit 63f8ae466f046dcdbb0ba13ef96e63eeec86e6e6
Author: frickler01 <frickler01@users.noreply.github.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Format code blocks and variable/path notations
    
    Add markdown backticks for commands, variable names and path as well
    as code blocks for better readability.
    
    This fixes #97.

commit 841b883825ddf9982a673b3964757f6df25acd46
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    hwclock: fix module load warning

commit ba10793b0b85b11fae04e6526716c6f7976afde1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/procfs: fix binfmt_misc module load warning
    
    This reworks the logic so that the warning about configuring the
    binfmt_misc module is only displayed if the module actually has to be
    loaded.

commit d4d559323819c8a5279bf197d8d3ff80f1e28cdc
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    sh/openrc-run.sh: read global configuration settings first
    
    X-Gentoo-Bug: 503134
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=503134

commit d5db5489be135ae9295e378e789b4b7b13367fdd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/swap: do not unmount all tmpfs file systems
    
    X-Gentoo-Bug: 568162
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=568162

commit d06db93d5954460668d09cf6ef2fc401ee9d981c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    remove swapfiles service
    
    The swapfiles service was basically a copy of the swap service, so this
    commit consolidates the functionality into the swap service.
    
    X-Funtoo-Bug-URL: https://bugs.funtoo.org/browse/FL-2523
    X-Gentoo-Bug: 568162
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=568162

commit 8c14d0c476e06fff7598c526e26b6a13d53a4600
Author: Martin Väth <martin@mvath.de>
Commit: Martin Väth <martin@mvath.de>

    Fix typo in RC_UNAME check of modules-load
    
    The $RC_UNAME "Linux" had been misspelled as "linux".
    As a consequence, entries in e.g. /etc/modules-load.d failed to
    load any module succesfully under Linux(!)

commit 04debf6f25b3748a101b61cb85f78617dbe5be6e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    another news typo fix

commit c289774b00d0d7dc38fdc1f0f623569bd184a4b1
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    modules-load: handle comments better
    
    This handles comments without a trailing space after the comment
    character.
    
    Reported-By: josef64

commit 9dd8ee330d8a4449c937bc95fc8393a55913c8d1
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    typo fix

commit 5d5856c193768d24f11d5f0533e48c39526aef5c
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Update news file
    
    Add information on modules-load service and more explanation about
    dealing with the rc -> openrc and runscript -> openrc-run transitions.

commit 686e172207ac9e23560da18a6f877be777ded935
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d: add modules-load to ignore patterns

commit fef6268f8d03e3ab3e2564cbf3634d0db2bcd99e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    modules-load.d: cleanups
    
    Move list of directories to a local variable and create the fn variable
    to use for an individual file name rather than using path.

commit 556dbff99d53cdcc00e6b1ec67e1679f72b6f284
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add modules-load.d support

commit 69ac78d76a31d843c004717eb6aa6a77bb4c9a8e
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    openrc-run: make runscript warning respect quiet option
    
    X-Gentoo-Bug: 591414
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=591414

commit 4018dfc8de4818101c336ff8bcf0f4762b318c6a
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/hostname: do not use localhost as a default hostname
    
    This allows the operating system default hostname to be used if no
    hostname is configured.

commit 353bb9bc9a0ab3c6650d72d2ceb14c990762a2a0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/hostname: add support for /etc/hostname

commit 73cdf10f1f513be7b5dec4f1cc91e0c68cda689b
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Deprecate automatic loading of modules
    
    In the hwclock, procfs and sysfs service scripts, we automatically
    attempt to load the kernel modules we need before we take any action. We
    shouldn't do this, because there are systems which do not use kernel
    modules and do not have the kmod package installed.
    
    With this change, we continue to load the modules ourselves, but we warn
    the admin that they need to be added to /etc/conf.d/modules or built
    into the kernel.
    
    In the future, this automatic loading will be dropped.
    
    X-Gentoo-Bug: 342313
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=342313

commit 1a55d46645b376cd27f394796934150120a08387
Author: Raymond Jennings <shentino@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    local.d/README: typo fix
    
    X-Gentoo-Bug: 591258
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=591258

commit cae3976ef1276ce33aa7e49474f13499a48a3fe6
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d: Add runsvdir to ignore patterns

commit da28a3d367b6078deda6bc205806b43b971e67a9
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d: initial service adjustments for docker support
    
    Add -docker keyword to the same scripts that have -lxc keyword.

commit ca8c29ee60b0e8ca89091aaf801725bd71e28001
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    librc: fix Docker auto detection
    
    The original auto detection of Docker containers assumed the presence of
    a container environment variable. However, Docker-1.12 does not
    implement this, and I'm not sure which versions of docker implemented
    it.
    
    The new test is for the presence of a file named .dockerenv in the
    root directory.

commit f62253b8334a85dac4671e42817b96a3bedd1881
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Add support for runit
    
    X-Gentoo-Bug: 501364
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=501364

commit f2c2e2dd5a5e0a22da4dcabea6615d0f4697a962
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/sysctl.in: typo fix

commit 94b98430cb83a8f4e62d837100fc357e9eb12ca6
Author: Kenneth Lakin <kennethlakin@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    start-stop-daemon: Add SSD_IONICELEVEL
    
    This is the disk IO counterpart to SSD_NICELEVEL.
    Modified by William Hubbs to add the variable to the start-stop-daemon
    man page.
    
    This fixes #69.

commit b19d0a40d7f20987323d5af91469c720ead39561
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d/loopback: remove unnecessary stop function

commit 0c229faf7e6a57bcff70f2143b83cb69a34c89f4
Author: Martin Väth <martin@mvath.de>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    tmpfiles.sh: Support lines with q Q h H
    
    btrfs support is not implemented yet (for q Q v), but at least tmpfiles.sh
    no longer chokes about tmpfiles.d lines of recent systemd versions
    
    This fixes #87.

commit 3092e310acd376fc626cc051549e02bcd7697aed
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    tmpfiles: Accept filenames as command line arguments
    
    This brings us closer to being able to use tmpfiles.sh as a full
    replacement for systemd-tmpfiles.
    
    This closes #83.

commit 671911762d1bcd90c10d8ac0eb30fe10be4a65f6
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    tmpfiles: Process command line before gathering config files
    
    This is part of #83.

commit 7d68839e9ea89b0a92aef69a9b4fd298554bb9b1
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    tmpfiles: Make unrecognized options fatal
    
    This is part of #83.

commit 5341a925c15934674031aebb97533b0adcd10236
Author: Jakub Jirutka <jakub@jirutka.cz>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    s6-guide: fix typo
    
    This fixes #92.

commit 3adb8fb389caaafbed1be13c5ac4d96214c8eed3
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc-logger: refuse to cat TMPLOG into itself
    
    This prevents an infinite loop in case somebody decides to set
    rc_log_path to match TMPLOG.

commit 8927a37fb790e718c956376242a532ab9d1755e7
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    etc: remove rc.conf.* file fragments

commit b085b2cda58bc884acb959e48f14fb044c983042
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    etc: create default rc.conf
    
    Before now, /etc/rc.conf was created by the build system from multiple
    rc.conf.* file fragments and there was no reason for this.

commit daf93977641201f16c477b075ce9055a1da8f7b3
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    init.d: combine sysctl scripts
    
    We had separate sysctl scripts for each operating system. However, there
    is no need to do this since we can detect the operating system at
    runtime with $RC_UNAME.

commit 2984504c887afc9a36610eb7c20b097f7d1e70d0
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d: remove staticroute file fragments

commit 35e8386c24df6483f2918979dae150421f7151df
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d: makestaticroute file static

commit 2108285d64e2ee8cc03fbe544efc3752fe349bdd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d: remove network file fragnents

commit a3133fec250eca3cdfb460c2ce26c707fd593c09
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    conf.d: make network file static

commit 314ae3dc781d7ae8fc26c276a85b0dc6ab6bc326
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    modules: add support for FreeBSD
    
    This is based on a patch submitted by
    Joe Maloney <pkgdemonteam@gmail.com>.
    
    This fixes #91.

commit 695be59083cdf0d2ff9296f2c210e591c51bdf40
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    rc-status: add -m/--manual  option to show manually started services
    
    X-Gentoo-Bug: 585906
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=585906

commit c962678dd6ab1314b55c2a3bcdae03902bda39b8
Author: Doug Freed <dwfreed@mtu.edu>
Commit: Doug Freed <dwfreed@mtu.edu>

    rc: Rename some static variables to kill warnings

commit 3a1262703fd20d2e8288d13d908fb282c77d1793
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Remove the DEBUG_MEMORY macro
    
    This fixes #43.

commit 20035210bdf5d5729734457f35f5f32a53a5b3ad
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    make variable aflag a boolean show_all

commit 7f84b5d741c150cd159d5a3cda3ef532f0381826
Author: Jaromil <jaromil@dyne.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    libeinfo: document the x suffix on function names
    
    This fixes #88.

commit 8bca2cd4b3c710809131ac036456b34c223e8d12
Author: Julian Ospald <hasufell@posteo.de>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Build: fix hardcoded pkg-config invocation
    
    This fixes #89.

commit ac8ad169ae59fece38066c2e08ff57d53d737edd
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    hwclock: always use --noadjfile if available
    
    When we use the --utc or --localtime switch, also use --noadjfile if it
    is available. This means hwclock will not use a drift file.
    
    X-Gentoo-Bug: 584722
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=584722

commit 553799400218903ab495d1154a41c6d8890cb752
Author: Mike Gilbert <floppym@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    man: Document the procname variable for openrc-run
    
    X-Gentoo-Bug: 586794
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/586794

commit 5af5d12f3e56f9f2ff232d124d27c856fd66f551
Author: Benda Xu <heroxbd@gentoo.org>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    Fix PATH for Prefix.
    
    1. remove default /bin:/sbin:/usr/bin:/usr/sbin
    2. PKG_PREFIX should be defaulted to $(PREFIX)/usr
    3. LOCAL_PREFIX should be defaulted to $(PREFIX)/usr/local
    
    X-Gentoo-Bug:583634
    X-Gentoo-Bug-URL:https://bugs.gentoo.org/show_bug.cgi?id=583634

commit b2c92b88cc6ce6d81444667efbc6d44542db1788
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    fstabinfo/mountinfo: ensure /etc/fstab exists before calling setmntent
    
    This is based on a patch by A. Wilcox <awilfox.gentoo@foxkit.us>.
    
    X-Gentoo-Bug: 478226
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=478226
    
    X-Gentoo-Bug: 478226
    X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=478226

commit 1b32af17225a4b18ced7f4326727cbe8265e7fd2
Author: William Hubbs <w.d.hubbs@gmail.com>
Commit: William Hubbs <w.d.hubbs@gmail.com>

    increment version to 0.22
